## fuse4bsd 0.3.9~pre1.20080208

=== Makefile ===
SUBDIR = fuse_module mount_fusefs
                                
.include <bsd.subdir.mk>

=== doc/Makefile ===
BASE=doc
FILE=doc.dpl
#OTHER=

#CSS=--copy-css deplate --copy-css article --copy-css serif \
#	--copy-css heading-navbar --copy-css tabbar-right

DEPLATEDIR=.
DEPLATE=env RUBYLIB=${DEPLATEDIR}/lib RUBYPATH=${DEPLATEDIR}/lib ruby -S deplate.rb
DFLAGS=-x
#DFLAGS_DBK=
DFLAGS_REF=-X -m symbols-plain -D manPage=1
#DFLAGS_HTML_SINGLE=${CSS} -X -D manual -m html-headings-navbar -m code-gvim \
#			-D headingsNavbarMaxLevel=2 -m mark-external-urls
DFLAGS_HTML_SINGLE=${CSS} -X -D manual -m mark-external-urls
DFLAGS_HTML_CHUNKED=${CSS} -X -t html-tabbar-right.html -m mark-external-urls \
			   -m navbar-png -m validate-html -m html-obfuscate-email \
			   -m code-gvim -D noSwallow=1 -D sfNet=1
#DFLAGS_PHP=
DFLAGS_TEX=--pdf -m latex-emph-table-head -m latex-verbatim-small -X
DFLAGS_TEXT=-D manual

#FMT_DBK=dbk-article
FMT_HTML_SINGLE=html
FMT_HTML_CHUNKED=htmlsite
FMT_LATEX=latex
#FMT_PHP=phpsite
FMT_PLAIN=plain
#FMT_REF=dbk-ref

DESTDIR= .
REALDESTDIR!= realpath ${DESTDIR}

#PHONY: html

#dvi: ${BASE}.dvi
#html: ${BASE}.html
#pdf: ${BASE}.pdf
#php: ${BASE}.php
#tex: ${BASE}.tex
#text: ${BASE}.asc
#man: ${BASE}.1

default:
	@echo "No default target. Available targets:"
	@echo "html_chunked html_single plaintext pdf all"

all: html_chunked html_single plaintext pdf

html_chunked:
	mkdir -p ${DESTDIR}/html_chunked_out
	cp html_aux/* ${DESTDIR}/html_chunked_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_HTML_CHUNKED} -f ${FMT_HTML_CHUNKED} -d ${REALDESTDIR}/html_chunked_out ${FILE} ${OTHER}

html_single:
	mkdir -p ${DESTDIR}/html_single_out
	cp html_aux/* ${DESTDIR}/html_single_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_HTML_SINGLE} -f ${FMT_HTML_SINGLE} -d ${REALDESTDIR}/html_single_out ${FILE} ${OTHER}

plaintext:
	mkdir -p ${DESTDIR}/plaintext_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_TEXT} -f ${FMT_PLAIN} -d ${REALDESTDIR}/plaintext_out ${FILE} ${OTHER}

pdf:
	mkdir -p ${DESTDIR}/pdf_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_TEX} -f ${FMT_LATEX} -d ${REALDESTDIR}/pdf_out ${FILE} ${OTHER}
	sh -xc "cd ${DESTDIR}/pdf_out && pdflatex ${BASE}.tex && pdflatex ${BASE}.tex"

#%.html: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_HTML} -f ${FMT_HTML} $< ${OTHER}
#
#%.asc: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_TEXT} -f ${FMT_PLAIN} -o $@ $< ${OTHER}
#
#%.php: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_TEXT} -f ${FMT_PHP} $< ${OTHER}
#
#%.dbk: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_DBK} -f ${FMT_DBK} $< ${OTHER}
#	
#%.tex: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_TEX} -f ${FMT_LATEX} $< ${OTHER}
#	
#%.ref: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_REF} -f ${FMT_REF} -o $@ $< ${OTHER}
#
#%.dvi: %.tex
#	latex $<
#	bibtex $*
#	latex $<
#	latex $<
#        
#%.pdf: %.tex
#	pdflatex $<
#	bibtex $*
#	pdflatex $<
#	pdflatex $<
#
#%.1: %.ref
#	xmlto man $<

clean:
	rm -rf ${DESTDIR}/*_out/

=== fuse_module/Makefile ===
.include "../Makefile.common"

SRCS = fuse_main.c    \
       fuse_msg.c     \
       fuse_dev.c     \
       fuse_vfsops.c  \
       fuse_vnops.c   \
       fuse_io.c      \
       fuse_subr.c    \
       fuse.h         \
       fuse_session.h \
       fuse_io.h      \
       fuse_vnode.h   \
       vnode_if.h

CFLAGS+= -I../include

.if defined(FMASTER)
SRCS+= fmaster.c
CFLAGS+= -DFMASTER
.endif

.if defined(KERNCONF)
KERNCONF1!= echo ${KERNCONF} | sed -e 's/ .*//g'
KERNCONFDIR= /usr/obj/usr/src/sys/${KERNCONF1}
.endif

.if defined(KERNCONFDIR)
CFLAGS+= -DKERNCONFDIR="\"${KERNCONFDIR}\"" -I${KERNCONFDIR}
.endif

.if defined(DEBUG_MSG)
DEBUG_FLAGS+= -D_DEBUG_MSG
.endif

.if defined(FMASTER) || defined(DEBUG) || defined(DEBUG2G) || \
    defined(DEBUG3G) || defined(DEBUG_MSG)
SRCS+= fuse_opnames.c
.endif

KMOD=fuse

CLEANFILES+= fuse_opnames.c fuse_opnames.o fuse_subr.o fmaster.o vnode_if.h \
             vnode_if_typedef.h vnode_if_newproto.h fuse.ko.debug \
	     fuse.ko.symbols

fuse.ko: fuse_kernel.h

fuse_opnames.c:
	env OUTF=fuse_opnames.c ${AWK} -f ../tools/genopnames.awk fuse_kernel.h

.include <bsd.kmod.mk>

=== mount_fusefs/Makefile ===
# $FreeBSD$

.include "../Makefile.common"

PROG = mount_fusefs
SRCS = mount_fusefs.c getmntopts.c
MAN8  = mount_fusefs.8
NO_MANCOMPRESS?=	yes

# mount_fusefs needs mntopts.h and getmntopts.c from src/sbin/mount/
MOUNT  ?= /usr/src/sbin/mount
CFLAGS += -I${MOUNT} -I../include

.PATH: ${MOUNT}

.include <bsd.prog.mk>

=== debian/changelog ===
fuse4bsd (0.3.9~pre1.20080208-9) unstable; urgency=low

  * Add myself to uploaders
  * Stop building fuse4bsd-dkms, obsoleted by kfreebsd-10 in-tree module
    (Closes: #734451)
  * Delete redundant patches:
    - 001_ports.diff
    - 003_kernel_api.diff
    - 004_freebsd_macro.diff
    - prevent_kfreebsd10_build.diff
  * Supply mount parameter "fd", required by kfreebsd-10 API:
    - 001_kfreebsd-10_api.diff
  * Add Vcs-* control fields

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 05 Oct 2014 23:21:28 +0100

fuse4bsd (0.3.9~pre1.20080208-8) unstable; urgency=low

  * Switch fuse4bsd-dkms to kfreebsd-any.

 -- Robert Millan <rmh@debian.org>  Mon, 07 Oct 2013 22:55:03 +0200

fuse4bsd (0.3.9~pre1.20080208-7) unstable; urgency=low

  * Replaces fuse4bsd (<= 0.3.9~pre1.20080208-4). (Closes: #716962)

 -- Robert Millan <rmh@debian.org>  Mon, 15 Jul 2013 23:31:05 +0200

fuse4bsd (0.3.9~pre1.20080208-6) unstable; urgency=low

  [ Robert Millan ]
  * Make easier to backport:
    - Remove versioned build-dependency on libc.
    - Remove versioned build-dependency on freebsd-buildutils.
  * Move init script to fuse4bsd-dkms.
  * Remove squeeze compatibility kludge.
  * prevent_kfreebsd10_build.diff: kFreeBSD 10.x already provides native
    FUSE support.

  [ Christoph Egger ]
  * Add kldutils to build-depends so dkms is installable (depends on
    module-init-tools which is virtual on kfreebsd)

 -- Robert Millan <rmh@debian.org>  Sat, 13 Jul 2013 16:12:13 +0200

fuse4bsd (0.3.9~pre1.20080208-4) unstable; urgency=low

  * Add init script to load/unload fuse module.

 -- Robert Millan <rmh@debian.org>  Sun, 17 Jul 2011 12:44:48 +0200

fuse4bsd (0.3.9~pre1.20080208-3) unstable; urgency=low

  * Fix package name in debian/rules and debian/fuse4bsd-dkms.dkms.

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jul 2011 20:49:35 +0200

fuse4bsd (0.3.9~pre1.20080208-2) unstable; urgency=low

  * Rename fuse-dkms to fuse4bsd-dkms to avoid package name collisions.

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jul 2011 20:44:18 +0200

fuse4bsd (0.3.9~pre1.20080208-1) unstable; urgency=low

  * Initial release. (Closes: #613300)

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jul 2011 17:53:05 +0200

=== debian/control ===
Source: fuse4bsd
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 7), po-debconf,
 freebsd-buildutils,
 libbsd-dev,
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/fuse4bsd/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/fuse4bsd/
Standards-Version: 3.9.2

Package: fuse4bsd
Section: utils
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, kldutils
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to kFreeBSD.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -pipe -D_GNU_SOURCE -D'__FBSDID(string)='

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')

PATH:=/usr/lib/freebsd:$(PATH)
PMAKE=COPTS="$(CFLAGS)" WERROR= MOUNT=$(CURDIR)/sbin/mount make


build: build-arch build-indep

build-arch:
	$(PMAKE) -C mount_fusefs

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	-$(PMAKE) -C mount_fusefs clean

	rm -f fuse_module/@ fuse_module/machine

	rm -f *stamp
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	dh_install -a

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
